## ros-indigo-hakuto 0.1.8

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(hakuto)
find_package(catkin REQUIRED)
catkin_metapackage()

=== debian/changelog ===
ros-indigo-hakuto (0.1.8-0trusty) trusty; urgency=high



 -- TORK <dev@opensource-robotics.tokyo.jp>  Tue, 26 Apr 2016 15:00:00 -0000

ros-indigo-hakuto (0.1.7-0trusty) trusty; urgency=high



 -- TORK <dev@opensource-robotics.tokyo.jp>  Tue, 26 Apr 2016 15:00:00 -0000

ros-indigo-hakuto (0.1.6-0trusty) trusty; urgency=high



 -- TORK <dev@opensource-robotics.tokyo.jp>  Tue, 26 Apr 2016 15:00:00 -0000

ros-indigo-hakuto (0.1.5-0trusty) trusty; urgency=high



 -- TORK <dev@opensource-robotics.tokyo.jp>  Tue, 26 Apr 2016 15:00:00 -0000

ros-indigo-hakuto (0.1.4-0trusty) trusty; urgency=high

  * [improved] Sun light is stronger on the Moon
  * [fix] Temporary workaround to Gzweb not showing model (#45 <https://github.com/tork-a/hakuto/issues/45>)
  * [fix] Workaround for teleop dying error ( #23 <https://github.com/tork-a/hakuto/issues/23>)
  * [sys] all link is rended by texture, so material is not needed
  * [sys] mv texture location to materials/textures, see https://bitbucket.org/osrf/gazebo_models/commits/0bde1dbe0cc62cefbcdd4a5a760e4f2e2aeb8bb6
  * [doc] Use rosdoc_lite. Add more Gzweb server-side usage
  * Contributors: Kei Okada, Isaac I.Y. Saito

 -- TORK <dev@opensource-robotics.tokyo.jp>  Thu, 05 Nov 2015 15:00:00 -0000

ros-indigo-hakuto (0.1.3-0trusty) trusty; urgency=high

  * (Improve) Cosmetics; Robot spawned at more adventurous starting pose. Sun location to cast more realistic shadow.
  * (Doc) No fragment aura around the earth to fix #40 <https://github.com/tork-a/hakuto/issues/40>
  * Contributors: Isaac IY Saito

 -- TORK <dev@opensource-robotics.tokyo.jp>  Fri, 10 Apr 2015 15:00:00 -0000

ros-indigo-hakuto (0.1.2-0trusty) trusty; urgency=high

  * (Feature) Add starry sky scene, earth seen from lunar surface taken by Kaguya, JAXA
  * Contributors: Isaac IY Saito

 -- TORK <dev@opensource-robotics.tokyo.jp>  Wed, 08 Apr 2015 15:00:00 -0000

ros-indigo-hakuto (0.1.1-0trusty) trusty; urgency=high

  * (Feature) More friction for better uphill climbing.
  * (Doc) Elaborate instruction.
  * Contributors: Isaac IY Saito

 -- TORK <dev@opensource-robotics.tokyo.jp>  Wed, 08 Apr 2015 15:00:00 -0000

ros-indigo-hakuto (0.1.0-0trusty) trusty; urgency=high

  * Initial release into ROS buildfarm.
  * Add kinematic parameters obtained from designers.
  * Run keyboardteleop by default.
  * Add joystick.html example for keyboardteleop
  * Add gazebo_ros_diff_drive until https://github.com/ros-simulation/gazebo_ros_pkgs/pull/298 is merged
  * [model.sdf] set surface parameters, not sure if this is correct
  * [apollo15_landing_site_1000x1000] add new model, near dune crater
  * remove dummy hight map, which is fixed in https://bitbucket.org/osrf/gzweb/pull-request/75/fix-loading-heightmap-with-one-texture/diff
  * [tetris_description] update model parameters, not sure if this is correct
  * [tetris.urdf.xacro] add hardwareInterface to joint
  * Contributors: Tokyo Opensource Robotics Programmer 534o, Isaac IY Saito

 -- TORK <dev@opensource-robotics.tokyo.jp>  Sat, 21 Mar 2015 15:00:00 -0000

ros-indigo-hakuto (0.0.1-0trusty) trusty; urgency=high



 -- TORK <dev@opensource-robotics.tokyo.jp>  Tue, 13 Jan 2015 15:00:00 -0000

=== debian/control ===
Source: ros-indigo-hakuto
Section: misc
Priority: extra
Maintainer: TORK <dev@opensource-robotics.tokyo.jp>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin
Homepage: http://wiki.ros.org/hakuto
Standards-Version: 3.9.2

Package: ros-indigo-hakuto
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-tetris-description, ros-indigo-tetris-gazebo, ros-indigo-tetris-launch
Description: ROS package suite for the lunar rovers at Hakuto project, a Google Lunar XPRIZE contender.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-hakuto//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
